From e229bf7193e133fc7dac2a3636f83a33c62655d7 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Jan 03 2021 02:55:11 +0000
Subject: [PATCH 2002/2232] Merge pull request #648 from dtolnay/destructor


Explicitly delete opaque Rust type destructors
---

diff --git a/gen/src/write.rs b/gen/src/write.rs
index 02f615d..c6331f4 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -359,9 +359,8 @@ fn write_opaque_type<'a>(out: &mut OutFile<'a>, ety: &'a ExternType, methods: &[
         writeln!(out, ";");
     }
 
-    if !methods.is_empty() {
-        writeln!(out);
-    }
+    writeln!(out, "  ~{}() = delete;", ety.name.cxx);
+    writeln!(out);
 
     out.builtin.layout = true;
     out.include.cstddef = true;

